/*
  copyright(c) 2003-2006 Miki Akiyoshi
  
  This file is part of Miki ThinkingMap.
  
  Miki ThinkingMap is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki ThinkingMap is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki ThinkingMap; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.thinkingmap ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.util.* ;
import jp.dip.ikim.core.* ;

public class mkAddNodeAction implements mkFreeHandAction
{
    public void action(mkSimpleApplet app, mkPoint[] points,
		       String as) 
    {
	mkNodeData pdata = new mkNodeData(as, points) ;

	pdata.set_layer(mkApplet.NODE) ;

	pdata.set_line_color(app.config().getLineColor()) ;
	pdata.set_fill_color(app.config().getFillColor()) ;
	pdata.set_text_color(app.config().getTextColor()) ;

	app.getScreen().get_tree().insertData(pdata) ;
    }

    public void action(mkSimpleApplet app, mkPoint[] points) 
    {
	action(app, points, "Vl") ;
    }
}

