/*
  copyright(c) 2006 Miki Akiyoshi
  
  This file is part of Miki ThinkingMap.
  
  Miki ThinkingMap is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki ThinkingMap is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki ThinkingMap; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.thinkingmap ;
import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.util.prefs.Preferences ;
import java.io.* ;
import jp.dip.ikim.core.* ;

public class mkColorChooseAction implements ActionListener
{
    mkApplet  _app ;
    JTextField _tx ;

    public mkColorChooseAction(mkApplet arg, JTextField tx)
    {
	_app = arg ;

	_tx = tx ;
    }

    public void actionPerformed(ActionEvent e)
    {
	mkLeftWidget lw = _app.getLeftWidget() ;
	// mkRightWidget rw = _app.getRightWidget() ;


	Color cc = 
	    JColorChooser.showDialog(_app,
				     "FI",
				     _tx.getBackground()) ;

	_tx.setText(mkConfig.Color2String(cc)) ;

	_tx.setBackground(cc) ;
    }
}

