/*
  copyright(c) 2003-2006 Miki Akiyoshi
  
  This file is part of Miki ThinkingMap.
  
  Miki ThinkingMap is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki ThinkingMap is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki ThinkingMap; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.thinkingmap ;

import java.util.* ;
import java.awt.* ;
import org.w3c.dom.* ;
import javax.xml.parsers.* ;
import javax.xml.transform.* ;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import jp.dip.ikim.core.* ;

public class mkSubjectData extends mkNodeData
{
    static final long serialVersionUID = -5389092501469055033L;

    public mkNodeData setParent(mkRelation rel)
    {
	return null ;
    }

    public mkNodeData move(double tx, double ty)
    {
	return this ;
    }

	
    public mkData del()
    {
	return this ;
    }

    public mkNodeData delParent()
    {
	return this ;
    }

    public mkRelation getParent()
    {
	return null ;
    }

    public mkSubjectData(String arg)
    {
	super(arg) ;

    }

    public mkSubjectData(String arg, mkPoint[] args)
    {
	super(arg, args) ;

    }


    public mkSubjectData()
    {
	super() ;

	set_text("") ;
    }

    public void translate(double tx, double ty)
    {

    }

    public Object clone() 
    {
	try {
	    mkSubjectData other = (mkSubjectData )super.clone();
	    return other;
	} catch (Exception e) {
	    // this shouldn't happen, since we are Cloneable
	    throw new InternalError();
	}
    }


    public void createHTML(Document doc, Element top, int level) 
    {
	top.setAttribute("xmlns", "http://www.w3.org/1999/xhtml") ;
	top.setAttribute("lang", "ja") ;
	top.setAttribute("xml:lang", "ja") ;
	doc.appendChild(top) ;

	Element elm = doc.createElement("head") ;
	Element subelm = doc.createElement("title") ;
	Text tx = doc.createTextNode(get_text()) ;
	subelm.appendChild(tx) ;
	elm.appendChild(subelm) ;
	top.appendChild(elm) ;

	elm = doc.createElement("body") ;
	top.appendChild(elm) ;

	++level ;
	Enumeration en = getChildren() ;
	while(en.hasMoreElements()){
	    mkRelation nod = (mkRelation )en.nextElement() ;
	    nod.getChild().createHTML(doc, elm, level) ;
	}
    }


}








