/*
  copyright(c) 2003-2006 Miki Akiyoshi
  
  This file is part of Miki ThinkingMap.
  
  Miki ThinkingMap is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki ThinkingMap is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki ThinkingMap; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.thinkingmap ;

import java.util.List ;
import java.util.ArrayList ;
import java.io.* ;
import jp.dip.ikim.core.* ;

public class mkThinkingMap implements Serializable
{
    static final long serialVersionUID = 7718198156892251309L;

    private mkTree  	    _tree ;
    private mkSubjectData   _root ;

    public mkTree getTree()
    {
	return _tree ;
    }

    public mkSubjectData getSubject()
    {
	return _root ;
    }

    public mkThinkingMap(mkTree tree, mkSubjectData root)
    {
	_tree  = tree ;
	_root = root ;
    }
}
